<link rel="import" href="/extern/bower_components/polymer/polymer.html">
<link rel="import" href="/extern/bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="/extern/bower_components/paper-button/paper-button.html">
<link rel="import" href="/ts/common-elements/iron-flex-layout-attributes/iron-flex-layout-attributes.html">
<link rel="import" href="/ts/ajaxell/html/elements/ag-toaster/throws-toast.html">


<dom-module id="ag-toaster-example">
    <template>
      <style include="iron-flex-layout-attributes"></style>

      <div horizontal layout>
        <paper-button flex info raised on-click="showInfo">show info</paper-button>
        <paper-button flex info raised on-click="showBigInfo">show info with options</paper-button>
        <paper-button flex info raised on-click="showModalInfo">show modal info</paper-button>
        <paper-button flex info raised on-click="showModalInfox5">show 5 big infos</paper-button>
      </div>

      <div horizontal layout>
        <paper-button flex warning raised on-click="showWarning">show warning</paper-button>
        <paper-button flex warning raised on-click="showBigWarning">show warning with options</paper-button>
        <paper-button flex warning raised on-click="showModalWarning">show modal warning</paper-button>
        <paper-button flex warning raised on-click="showModalWarningx5">show 5 big warnings</paper-button>
      </div>

      <div horizontal layout>
        <paper-button flex error raised on-click="showError">show error</paper-button>
        <paper-button flex error raised on-click="showBigError">show error with options</paper-button>
        <paper-button flex error raised on-click="showModalError">show modal error</paper-button>
        <paper-button flex error raised on-click="showModalErrorx5">show 5 big errors</paper-button>
      </div>

      <paper-button raised on-click="showLog">show log in console</paper-button><br>

    </template>
    <script>'use strict';

Polymer({
  is: 'ag-toaster-example',

  behaviors: [throwsToast],

  showInfo: function showInfo() {
    this.throwToast({
      'type': 'info',
      'message': 'this is some info at ' + new Date().getTime(),
      'callback': function callback(response) {
        console.log("callback successfull: ", response);
      }
    });
  },

  showWarning: function showWarning() {
    this.throwToast({
      'type': 'warning',
      'message': 'this is a warning at ' + new Date().getTime(),
      'callback': function callback(response) {
        console.log("callback successfull: ", response);
      }
    });
  },

  showError: function showError() {
    this.throwToast({
      'type': 'error',
      'message': 'this is an error at ' + new Date().getTime(),
      'callback': function callback(response) {
        console.log("callback successfull: ", response);
      }
    });
  },

  showBigInfo: function showBigInfo() {
    this.throwToast({
      'type': 'info',
      'message': 'this is big info, you will need to choose something',
      'options': ['save the world', 'make dinosaurs'],
      'callback': function callback(response) {
        console.log("you have chosen to", response);
      }
    });
  },

  showBigWarning: function showBigWarning() {
    this.throwToast({
      'type': 'warning',
      'message': 'this is a big warning, you will need to choose something',
      'options': ['save the world', 'make dinosaurs'],
      'callback': function callback(response) {
        console.log("you have chosen to", response);
      }
    });
  },

  showBigError: function showBigError() {
    this.throwToast({
      'type': 'error',
      'message': 'this is a big error, you will need to choose something',
      'options': ['save the world', 'make dinosaurs'],
      'callback': function callback(response) {
        console.log("you have chosen to", response);
      }
    });
  },

  showModalInfo: function showModalInfo() {
    this.throwToast({
      'type': 'info',
      'message': 'this is big info, you will need to choose something',
      'options': ['save the world', 'make dinosaurs'],
      'blocking': true,
      'callback': function callback(response) {
        console.log("you have chosen to", response);
      }
    });
  },

  showModalWarning: function showModalWarning() {
    this.throwToast({
      'type': 'warning',
      'message': 'this is a big warning, you will need to choose something',
      'options': ['save the world', 'make dinosaurs'],
      'blocking': true,
      'callback': function callback(response) {
        console.log("you have chosen to", response);
      }
    });
  },

  showModalError: function showModalError() {
    this.throwToast({
      'type': 'error',
      'message': 'this is a big error, you will need to choose something',
      'options': ['save the world', 'make dinosaurs'],
      'blocking': true,
      'callback': function callback(response) {
        console.log("you have chosen to", response);
      }
    });
  },

  showModalInfox5: function showModalInfox5() {
    for (var i = 0; i <= 5; i++) {
      this.throwToast({
        'type': 'info',
        'message': 'this is big info ' + i + ', you will need to choose something',
        'options': ['save the world', 'make dinosaurs'],
        'blocking': true,
        'callback': function callback(response) {
          console.log("you have chosen to", response);
        }
      });
    }
  },

  showModalWarningx5: function showModalWarningx5() {
    for (var i = 0; i <= 5; i++) {
      this.throwToast({
        'type': 'warning',
        'message': 'this is big warning ' + i + ', you will need to choose something',
        'options': ['save the world', 'make dinosaurs'],
        'blocking': true,
        'callback': function callback(response) {
          console.log("you have chosen to", response);
        }
      });
    }
  },

  showModalWarningx5: function showModalWarningx5() {
    for (var i = 0; i <= 5; i++) {
      this.throwToast({
        'type': 'warning',
        'message': 'this is big error ' + i + ', you will need to choose something',
        'options': ['save the world', 'make dinosaurs'],
        'blocking': true,
        'callback': function callback(response) {
          console.log("you have chosen to", response);
        }
      });
    }
  },

  showLog: function showLog() {
    toaster.showLog();
  }
});</script>
</dom-module>
